[Webinar] Streamline your web hosting managementRegister Today

x
  • Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 900
  • Last Modified:

c# .NET 4.5 (target framework not available in VS2010?)

Hi Experts,

I installed .NET 4.5 thinking I could set it as target framework in c# for VS2010.  All I have is .NET framework 4.0...  Is this not supported in VS2010?

Also, how much "fun" is it typically to port applications from VS2010 to VS2012?

Thank you very much,
Mike
0
thready
Asked:
thready
3 Solutions
 
Luis PérezSoftware Architect in .NetCommented:
VS2010 can't target .Net Framework 4.5, because that didn't exists when VS2010 came in.

If you want to know what's new in .Net Framework 4.5 and VS2012, check this:
http://msdn.microsoft.com/en-us/library/ms171868.aspx
http://msdn.microsoft.com/en-us/library/vstudio/bb386063.aspx

Hope that helps.
0
 
Mike TomlinsonMiddle School Assistant TeacherCommented:
I think 4.5 is available only in VS2012...
0
 
Éric MoreauSenior .Net ConsultantCommented:
>>Also, how much "fun" is it typically to port applications from VS2010 to VS2012?

it depends on your project type. check http://msdn.microsoft.com/en-us/library/hh266747.aspx
0
 
threadyAuthor Commented:
Thanks everyone!  :o)
0

Featured Post

Never miss a deadline with monday.com

The revolutionary project management tool is here!   Plan visually with a single glance and make sure your projects get done.

Tackle projects and never again get stuck behind a technical roadblock.
Join Now